import { CompiledResult } from "../type/compile";
export * from "./js.render";
export declare class JS {
    constructor();
    static supportExtension: string[];
    /**
     * 编译js
     * 支持的文件为 js ts png jpg jpeg svg json woff woff2 ttf otf eot html less scss
     */
    static compile(files: Record<string, ArrayBuffer>): Record<string, CompiledResult>;
    static render(compiledJSON: Record<string, CompiledResult>, root: string, modules?: Record<string, any>): any;
}
